Bug 91683 - FILEOPEN: Docx importer squishing doughnuts
Summary: FILEOPEN: Docx importer squishing doughnuts
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0.2 target:5.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2015-05-28 04:17 UTC by Luke
Modified: 2017-06-02 06:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Sample DOCX file with Doughnut (14.25 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-28 04:17 UTC, Luke
Details
XLSX file with Doughnut is NOT squished (12.30 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2015-05-28 04:18 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2015-05-28 04:17:19 UTC
Created attachment 116088 [details]
Sample DOCX file with Doughnut

All doughnut charts are now being squished.

Steps to reproduce:
1. Open SquareDoughnut.docx in Calc <= 4.4
2. Open SquareDoughnut.docx in recent build of Calc 5.1
3. compare
Comment 1 Luke 2015-05-28 04:18:23 UTC
Created attachment 116089 [details]
XLSX file with Doughnut is NOT squished
Comment 2 Buovjaga 2015-06-08 15:06:37 UTC
Confirmed.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: be8512f99bc9ab18e55aabe01cc0ab1e6baea9e6
TinderBox: Win-x86@39, Branch:master, Time: 2015-06-08_05:58:40
Locale: fi-FI (fi_FI)
Comment 3 Andras Timar 2015-06-22 06:48:09 UTC
The behaviour changed by
commit 757f461ef12548af0be470f7c05ff67df3dc1314
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Thu Mar 26 21:15:59 2015 +0000

    avoid activating chart objects just to get their mapunit or set visual size
Comment 4 Commit Notification 2015-06-23 08:14:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2b3519c6b2aceacbe2fd9d53eb52dd36a356ecc&h=libreoffice-5-0

Resolves: tdf#91683 Revert avoid activating chart objects...

It will be available in 5.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Caolán McNamara 2015-06-23 08:14:50 UTC
blast, will have to try something else
Comment 6 Commit Notification 2015-06-23 08:15:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ec27ad35f00fbf5f5bc903cabe0692dc257f1e2

Resolves: tdf#91683 Revert avoid activating chart objects...

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 09:12:58 UTC Comment hidden (obsolete)
Comment 8 vihsa 2017-06-02 06:43:22 UTC
verified
Version: 5.5.0.0.alpha0+
Build ID: 066665644b398a882e6cded98af5bb060af41d76
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: 2017-06-01 00:30:43